Get instant pay transactions
curl --request GET \
--url https://api.cadanapay.com/v1/persons/{personId}/instantPays \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cadanapay.com/v1/persons/{personId}/instantPays"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cadanapay.com/v1/persons/{personId}/instantPays', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"amount": {
"amount": 10000,
"currency": "USD"
},
"status": "completed",
"createdTimestamp": 1693782273
}
]
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Instant Pay
Get instant pay transactions
Fetch a person’s instant pay transactions
GET
/
v1
/
persons
/
{personId}
/
instantPays
Get instant pay transactions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Path Parameters
The unique identifier for the person
Query Parameters
Only return transactions that have not been paid back
Response
get person instant pay transactions
Show child attributes
Show child attributes
⌘I